VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::access::Ssh Interface Reference

`Ssh` interface provides methods Get/Set enabled state of SSH-based controlled CLI. More...

Inherited by vmware::appliance::access::SshStub.

List of all members.

## Public Member Functions
void | Set (bool enabled)
| Set enabled state of the SSH-based controlled CLI.
void | Set (bool enabled, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set enabled state of the SSH-based controlled CLI.
global::System.Threading.Tasks.Task | SetAsync (bool enabled)
| Set enabled state of the SSH-based controlled CLI.
global::System.Threading.Tasks.Task | SetAsync (bool enabled, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set enabled state of the SSH-based controlled CLI.
bool | Get ()
| Get enabled state of the SSH-based controlled CLI.
bool | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get enabled state of the SSH-based controlled CLI.
global::System.Threading.Tasks.Task < bool > | GetAsync ()
| Get enabled state of the SSH-based controlled CLI.
global::System.Threading.Tasks.Task < bool > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get enabled state of the SSH-based controlled CLI.

## Detailed Description

`Ssh` interface provides methods Get/Set enabled state of SSH-based controlled CLI.

## Member Function Documentation

bool vmware::appliance::access::Ssh::Get | ( |  | ) |

Get enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SSH-based controlled CLI is enabled.

Implemented in vmware::appliance::access::SshStub.

bool vmware::appliance::access::Ssh::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SSH-based controlled CLI is enabled.

Implemented in vmware::appliance::access::SshStub.

global::System.Threading.Tasks.Task<bool> vmware::appliance::access::Ssh::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SSH-based controlled CLI is enabled.

Implemented in vmware::appliance::access::SshStub.

global::System.Threading.Tasks.Task<bool> vmware::appliance::access::Ssh::GetAsync | ( |  | ) |

Get enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  SSH-based controlled CLI is enabled.

Implemented in vmware::appliance::access::SshStub.

void vmware::appliance::access::Ssh::Set | ( | bool | enabled,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | SSH-based controlled CLI is enabled.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::access::SshStub.

void vmware::appliance::access::Ssh::Set | ( | bool | enabled | ) |

Set enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | SSH-based controlled CLI is enabled.

Implemented in vmware::appliance::access::SshStub.

global::System.Threading.Tasks.Task vmware::appliance::access::Ssh::SetAsync | ( | bool | enabled | ) |

Set enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | SSH-based controlled CLI is enabled.

Implemented in vmware::appliance::access::SshStub.

global::System.Threading.Tasks.Task vmware::appliance::access::Ssh::SetAsync | ( | bool | enabled,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set enabled state of the SSH-based controlled CLI.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  enabled | SSH-based controlled CLI is enabled.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::access::SshStub.

The documentation for this interface was generated from the following file:

- Ssh.cs